import { BaseProduct, CalculateArgs, CalculateOpts, Currency, Pricing } from './types';
import { priceFormatter } from './utils';
/**
 * Calculate the credit gained for a product based on the quantity and the product's reward share.
 * @param product
 * @param quantity
 * @param opts
 */
declare const calculateCredit: (product: BaseProduct, quantity: number, currency: Currency, opts?: CalculateOpts) => {
    gainedCreditReserve: number;
    gainedCreditClaim: number;
    gainedCredit: number;
};
declare const calculatePricingInformation: ({ items, currency, countryCode, stateCode, usedCreditReserve, usedCreditClaim, }: CalculateArgs, opts?: CalculateOpts) => Pricing;
export { priceFormatter, calculatePricingInformation, calculateCredit };
